Bug 229746 - security/py-acme security/py-certbot*: Update to 0.26.1
Summary: security/py-acme security/py-certbot*: Update to 0.26.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-13 06:42 UTC by Yasuhiro Kimura
Modified: 2018-07-28 02:54 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
patch file (8.61 KB, patch)
2018-07-13 06:42 UTC, Yasuhiro Kimura
no flags Details | Diff
updated patch file (8.61 KB, patch)
2018-07-18 08:40 UTC, Yasuhiro Kimura
no flags Details | Diff
Update to 0.26.1 and add newly introduced dns plugins (21.26 KB, patch)
2018-07-24 12:14 UTC, Ralf van der Enden
tremere: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2018-07-13 06:42:54 UTC
Created attachment 195100 [details]
patch file

Update to 0.26.0.

Build is confirmed with poudriere and 11.2-RELEASE amd64 jail.
Comment 1 Yasuhiro Kimura 2018-07-18 08:40:11 UTC
Created attachment 195234 [details]
updated patch file

Newer version 0.26.1 is released. So please commit attached patch instead of original one.
Comment 2 Martin Wilke freebsd_committer 2018-07-18 12:15:27 UTC
Thanks, i was working on the update as well.
Comment 3 Ralf van der Enden 2018-07-24 12:14:54 UTC
Created attachment 195417 [details]
Update to 0.26.1 and add newly introduced dns plugins


Version 0.26 introduces four new DNS plugins; gehirn, linode, ovh and sakuracloud, which are omitted in the other diff.
Comment 4 commit-hook freebsd_committer 2018-07-28 02:50:45 UTC
A commit references this bug:

Author: miwi
Date: Sat Jul 28 02:50:12 UTC 2018
New revision: 475480
URL: https://svnweb.freebsd.org/changeset/ports/475480

Log:
  - Update to 0.26.1

  PR:		229746
  Submitted by:	yasu@utahime.org
  Sponsored by:	iXsystems Inc.

Changes:
  head/security/py-acme/distinfo
  head/security/py-acme/version.mk
  head/security/py-certbot/distinfo
  head/security/py-certbot-apache/distinfo
  head/security/py-certbot-dns-cloudflare/distinfo
  head/security/py-certbot-dns-cloudxns/distinfo
  head/security/py-certbot-dns-digitalocean/distinfo
  head/security/py-certbot-dns-dnsimple/distinfo
  head/security/py-certbot-dns-dnsmadeeasy/distinfo
  head/security/py-certbot-dns-google/distinfo
  head/security/py-certbot-dns-luadns/distinfo
  head/security/py-certbot-dns-nsone/distinfo
  head/security/py-certbot-dns-rfc2136/distinfo
  head/security/py-certbot-dns-route53/distinfo
  head/security/py-certbot-nginx/distinfo
Comment 5 commit-hook freebsd_committer 2018-07-28 02:52:49 UTC
A commit references this bug:

Author: miwi
Date: Sat Jul 28 02:51:54 UTC 2018
New revision: 475481
URL: https://svnweb.freebsd.org/changeset/ports/475481

Log:
  This is the Linode DNS Authenticator plugin for Certbot.

  WWW: https://github.com/certbot/certbot

  PR:		229746
  Submitted by:	tremere@cainites.net
  Sponsored by:	iXsystems Inc.

Changes:
  head/security/Makefile
  head/security/py-certbot-dns-linode/
  head/security/py-certbot-dns-linode/Makefile
  head/security/py-certbot-dns-linode/distinfo
  head/security/py-certbot-dns-linode/pkg-descr
Comment 6 commit-hook freebsd_committer 2018-07-28 02:53:52 UTC
A commit references this bug:

Author: miwi
Date: Sat Jul 28 02:52:55 UTC 2018
New revision: 475482
URL: https://svnweb.freebsd.org/changeset/ports/475482

Log:
  This is the Gehirn Infrastructure Service DNS Authenticator plugin for Certbot.

  WWW: https://github.com/certbot/certbot

  PR:		229746
  Submitted by:	tremere@cainites.net
  Sponsored by:	iXsystems Inc.

Changes:
  head/security/Makefile
  head/security/py-certbot-dns-gehirn/
  head/security/py-certbot-dns-gehirn/Makefile
  head/security/py-certbot-dns-gehirn/distinfo
  head/security/py-certbot-dns-gehirn/pkg-descr
Comment 7 commit-hook freebsd_committer 2018-07-28 02:53:56 UTC
A commit references this bug:

Author: miwi
Date: Sat Jul 28 02:53:31 UTC 2018
New revision: 475484
URL: https://svnweb.freebsd.org/changeset/ports/475484

Log:
  This is the Sakura Cloud DNS Authenticator plugin for Certbot.

  WWW: https://github.com/certbot/certbot

  PR:		229746
  Submitted by:	tremere@cainites.net
  Sponsored by:	iXsystems Inc.

Changes:
  head/security/Makefile
  head/security/py-certbot-dns-sakuracloud/
  head/security/py-certbot-dns-sakuracloud/Makefile
  head/security/py-certbot-dns-sakuracloud/distinfo
  head/security/py-certbot-dns-sakuracloud/pkg-descr
Comment 8 commit-hook freebsd_committer 2018-07-28 02:54:59 UTC
A commit references this bug:

Author: miwi
Date: Sat Jul 28 02:54:20 UTC 2018
New revision: 475485
URL: https://svnweb.freebsd.org/changeset/ports/475485

Log:
  This is the OVH DNS Authenticator plugin for Certbot.

  WWW: https://github.com/certbot/certbot

  PR:		229746
  Submitted by:	tremere@cainites.net
  Sponsored by:	iXsystems Inc.

Changes:
  head/security/Makefile
  head/security/py-certbot-dns-ovh/
  head/security/py-certbot-dns-ovh/Makefile
  head/security/py-certbot-dns-ovh/distinfo
  head/security/py-certbot-dns-ovh/pkg-descr